CDEntryRemote

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Interface CDEntryRemote

All Superinterfaces:
  javax.ejb.EJBObject, java.rmi.Remote

public interface CDEntryRemote
extends javax.ejb.EJBObject

Interface with get methods

Author:
  Diana Abbas , Kyle Dorman

Method Summary
`java.lang.String` | `getDiscId()` Gets the DiscId attribute of the CDEntryRemote object
`java.lang.String` | `getExtendedData()` Gets the ExtendedData attribute of the CDEntryRemote object
`java.lang.String` | `getGenre()` Gets the Genre attribute of the CDEntryRemote object
`java.lang.Integer` | `getId()` Gets the Id attribute of the CDEntryRemote object
`java.lang.String` | `getTitle()` Gets the Title attribute of the CDEntryRemote object
`java.lang.String` | `getYear()` Gets the Year attribute of the CDEntryRemote object

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getId

    public java.lang.Integer getId()
                            throws java.rmi.RemoteException

  Gets the Id attribute of the CDEntryRemote object

  Returns:
    The Id value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getDiscId

    public java.lang.String getDiscId()
                               throws java.rmi.RemoteException

  Gets the DiscId attribute of the CDEntryRemote object

  Returns:
    The DiscId value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getTitle

    public java.lang.String getTitle()
                              throws java.rmi.RemoteException

  Gets the Title attribute of the CDEntryRemote object

  Returns:
    The Title value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getYear

    public java.lang.String getYear()
                             throws java.rmi.RemoteException

  Gets the Year attribute of the CDEntryRemote object

  Returns:
    The Year value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getGenre

    public java.lang.String getGenre()
                              throws java.rmi.RemoteException

  Gets the Genre attribute of the CDEntryRemote object

  Returns:
    The Genre value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

### getExtendedData

    public java.lang.String getExtendedData()
                                     throws java.rmi.RemoteException

  Gets the ExtendedData attribute of the CDEntryRemote object

  Returns:
    The ExtendedData value
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD